grk::encode_h_job< T, DWT > Struct Template Reference

## Public Attributes

dwt_line< T > | h
uint32_t | rw
uint32_t | w
T *GRK_RESTRICT | tiledp
uint32_t | min_j
uint32_t | max_j
DWT | dwt

## Member Data Documentation

## dwt

template<typename T , typename DWT >

DWT grk::encode_h_job< T, DWT >::dwt

## h

template<typename T , typename DWT >

dwt_line<T> grk::encode_h_job< T, DWT >::h

## max_j

template<typename T , typename DWT >

uint32_t grk::encode_h_job< T, DWT >::max_j

## min_j

template<typename T , typename DWT >

uint32_t grk::encode_h_job< T, DWT >::min_j

## rw

template<typename T , typename DWT >

uint32_t grk::encode_h_job< T, DWT >::rw

## tiledp

template<typename T , typename DWT >

T* GRK_RESTRICT grk::encode_h_job< T, DWT >::tiledp

## w

template<typename T , typename DWT >

uint32_t grk::encode_h_job< T, DWT >::w

The documentation for this struct was generated from the following file:

- WaveletFwd.cpp